Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.docking.state.tree
Class SplitNode

    java.lang.Object
      javax.swing.tree.DefaultMutableTreeNode
          org.flexdock.docking.state.tree.DockingNode
              org.flexdock.docking.state.tree.SplitNode

All Implemented Interfaces:
  Serializable, Cloneable, MutableTreeNode, TreeNode, DockingConstants, LayoutNode

    public class SplitNode

extends DockingNode
implements DockingConstants

Author:
  Christopher Butler
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.tree.DefaultMutableTreeNode
`allowsChildren, children, EMPTY_ENUMERATION, parent, userObject`

Fields inherited from interface org.flexdock.docking.DockingConstants
`ACTIVE_WINDOW, BOTTOM, CENTER, CENTER_REGION, CLOSE_ACTION, DEFAULT_PERSISTENCE_KEY, DOCKING_ID, EAST_REGION, HEAVYWEIGHT_DOCKABLES, HORIZONTAL, LEFT, MOUSE_PRESSED, NORTH_REGION, PERMANENT_FOCUS_OWNER, PIN_ACTION, REGION, RIGHT, SOUTH_REGION, TOP, UNINITIALIZED, UNINITIALIZED_RATIO, UNKNOWN_REGION, UNSPECIFIED_SIBLING_PREF, VERTICAL, WEST_REGION`

Constructor Summary
`SplitNode(int orientation, int region, float percentage, String siblingId)`

Method Summary
`Object` | `clone()`
`Object` | `getDockingObject()`
`String` | `getDockingRegion()`
`Component` | `getLeftComponent()`
`int` | `getOrientation()`
`String` | `getOrientationDesc()`
`float` | `getPercentage()`
`int` | `getRegion()`
`String` | `getRegionDesc()`
`Component` | `getRightComponent()`
`String` | `getSiblingId()`
`JSplitPane` | `getSplitPane()`
`void` | `setDockingRegion(String dockingRegion)`
`void` | `setOrientation(int orientation)`
`void` | `setPercentage(float percentage)`
`void` | `setRegion(int region)`
`void` | `setSiblingId(String siblingId)`
`protected DockingNode` | `shallowClone()`
`String` | `toString()`

Methods inherited from class org.flexdock.docking.state.tree.DockingNode
`deepClone, getUserObject`

Methods inherited from class javax.swing.tree.DefaultMutableTreeNode
`add, breadthFirstEnumeration, children, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPathToRoot, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObjectPath, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, setUserObject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.flexdock.docking.state.LayoutNode
`add`

Methods inherited from interface javax.swing.tree.MutableTreeNode
`insert, remove, remove, removeFromParent, setParent, setUserObject`

Methods inherited from interface javax.swing.tree.TreeNode
`children, getAllowsChildren, getChildAt, getChildCount, getIndex, getParent, isLeaf`

Constructor Detail

### SplitNode

    public SplitNode(int orientation,
                     int region,
                     float percentage,
                     String siblingId)

Method Detail

### getOrientation

    public int getOrientation()

### setOrientation

    public void setOrientation(int orientation)

### getPercentage

    public float getPercentage()

### setPercentage

    public void setPercentage(float percentage)

### getRegion

    public int getRegion()

### setRegion

    public void setRegion(int region)

### getSiblingId

    public String getSiblingId()

### setSiblingId

    public void setSiblingId(String siblingId)

### toString

    public String toString()

  Overrides:
    `toString` in class `DefaultMutableTreeNode`

### getRegionDesc

    public String getRegionDesc()

### getOrientationDesc

    public String getOrientationDesc()

### clone

    public Object clone()

  Specified by:
    `clone` in interface `LayoutNode`
  Overrides:
    `clone` in class `DockingNode`

### getDockingRegion

    public String getDockingRegion()

### setDockingRegion

    public void setDockingRegion(String dockingRegion)

### getDockingObject

    public Object getDockingObject()

  Specified by:
    `getDockingObject` in interface `LayoutNode`
  Specified by:
    `getDockingObject` in class `DockingNode`

### getSplitPane

    public JSplitPane getSplitPane()

### getLeftComponent

    public Component getLeftComponent()

### getRightComponent

    public Component getRightComponent()

### shallowClone

    protected DockingNode shallowClone()

  Specified by:
    `shallowClone` in class `DockingNode`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD